org.codehaus.groovy.ast

## Class ModifierNode

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.ModifierNode

- All Implemented Interfaces:
    NodeMetaDataHandler

      public class ModifierNode
      extends ASTNode

  Represents a modifier

  Created by Daniel.Sun on 2016/08/23.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANNOTATION_TYPE`
    `static Map<Integer,Integer>` | `MODIFIER_OPCODE_MAP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifierNode(AnnotationNode annotationNode, String text)`
    `ModifierNode(Integer type)`
    `ModifierNode(Integer type, String text)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `AnnotationNode` | `getAnnotationNode()`
    `Integer` | `getOpcode()`
    `String` | `getText()`
    `Integer` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isAnnotation()`
    `boolean` | `isDef()`
    `boolean` | `isModifier()` Check whether the modifier is not an imagined modifier(annotation, def)
    `boolean` | `isNonVisibilityModifier()`
    `boolean` | `isRepeatable()`
    `boolean` | `isVisibilityModifier()`
    `String` | `toString()`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

      `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- - ### Field Detail

    - #### ANNOTATION_TYPE

          public static final int ANNOTATION_TYPE

      See Also:
        Constant Field Values

    - #### MODIFIER_OPCODE_MAP

          public static final Map<Integer,Integer> MODIFIER_OPCODE_MAP

  - ### Constructor Detail

    - #### ModifierNode

          public ModifierNode(Integer type)

    - #### ModifierNode

          public ModifierNode(Integer type,
                              String text)

      Parameters:
        `type` - the modifier type, which is same as the token type
        `text` - text of the ast node

    - #### ModifierNode

          public ModifierNode(AnnotationNode annotationNode,
                              String text)

      Parameters:
        `annotationNode` - the annotation node
        `text` - text of the ast node

  - ### Method Detail

    - #### isModifier

          public boolean isModifier()

      Check whether the modifier is not an imagined modifier(annotation, def)

    - #### isVisibilityModifier

          public boolean isVisibilityModifier()

    - #### isNonVisibilityModifier

          public boolean isNonVisibilityModifier()

    - #### isAnnotation

          public boolean isAnnotation()

    - #### isDef

          public boolean isDef()

    - #### getType

          public Integer getType()

    - #### getOpcode

          public Integer getOpcode()

    - #### isRepeatable

          public boolean isRepeatable()

    - #### getText

          public String getText()

      Overrides:
        `getText` in class `ASTNode`

    - #### getAnnotationNode

          public AnnotationNode getAnnotationNode()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ASTNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`